Skip to main content
`Ctrl`+`K`

# KSPConvergedSkip

Convergence test that do not return as converged until the maximum number of iterations is reached.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPConvergedSkip(KSP ksp, PetscInt n, PetscReal rnorm, KSPConvergedReason *reason, void *dtx)

Collective

## Input Parameters

- ksp - iterative context

- n - iteration number

- rnorm - 2-norm residual value (may be estimated)

- dtx - unused convergence context

## Output Parameter

- reason - `KSP_CONVERGED_ITERATING` or `KSP_CONVERGED_ITS`

## Options Database Key

- -ksp_convergence_test skip - skips the test

## Note

This should be used as the convergence test with the option `KSPSetNormType`(ksp,`KSP_NORM_NONE`), since norms of the residual are not computed. Convergence is then declared after the maximum number of iterations have been reached. Useful when one is using `KSPCG` or `KSPBCGS`. Flexible Krylov Methods

## See Also

KSP: Linear System Solvers, `KSP`, `KSPCG`, `KSPBCGS`, `KSPSetConvergenceTest()`, `KSPSetTolerances()`, `KSPSetNormType()`, Flexible Krylov Methods, `KSPConvergedReason`

## Level

advanced

## Location

src/ksp/ksp/interface/iterativ.c

## Examples

src/ksp/ksp/tutorials/ex71.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages